#include <iostream>
#include <iomanip>

int main() {
    double pi = 3.14159265358979323846;
    
    std::cout << "Default output: " << pi << std::endl;
    std::cout << "Fixed precision (3): " << std::fixed << std::setprecision(3) << pi << std::endl;
    std::cout << "Scientific notation: " << std::scientific << pi << std::endl;
    std::cout << "Hexadecimal: " << std::hex << std::uppercase << std::setw(10) << std::setfill('0') << 255 << std::endl;

    return 0;
}
