#include <iostream>
#include <limits>

int main() {
    int number;

    while (true) {
        std::cout << "Enter a positive integer: ";
        std::cin >> number;

        if (std::cin.fail() || number <= 0) {
            std::cerr << "Invalid input. Please try again." << std::endl;
            std::cin.clear();
            std::cin.ignore(std::numeric_limits<std::streamsize>::max(), '\n');
        } else {
            break;
        }
    }

    std::cout << "You entered: " << number << std::endl;

    return 0;
}
